<div style="min-height: 300px; max-height: 1000px;" class="taxonomy-tab">
  <!-- OPTIONS -->
  <div class="taxonomy-tab-options">
    <div>
      <mat-button-toggle-group [(ngModel)]="this.taxonomyDisplayMode"
        style="height: fit-content; margin: auto" name="displayMode" aria-label="Taxonomy Display Mode">
        <mat-button-toggle style="font-size: 0.9rem" [value]="DisplayMode.HIERARCHICAL">Hierarchical</mat-button-toggle>
        <mat-button-toggle style="font-size: 0.9rem" [value]="DisplayMode.FLAT">Flat</mat-button-toggle>
      </mat-button-toggle-group>
    </div>
  </div>

  <!-- HIERARCHICAL VIEW -->
  <ng-container *ngIf="this.taxonomyDisplayMode == DisplayMode.HIERARCHICAL">
    <app-taxonomy-hierarchical-view></app-taxonomy-hierarchical-view>
  </ng-container>

  <!-- FLAT TABLE VIEW -->
<ng-container *ngIf="this.taxonomyDisplayMode == DisplayMode.FLAT">
<app-taxonomy-table-view></app-taxonomy-table-view>
</ng-container>

</div>